> For the complete documentation index, see [llms.txt](https://docs-conversational-ai.syntphony.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs-conversational-ai.syntphony.com/api-docs/api-guidelines/management-api/instance-api.md).

# Instance API

The Instance API handles your virtual agents' data and all of their functions.\
\
The methods found here will allow you to register, edit, and consult all of the objects used by your Virtual Agent, train them, and also allow you to acquire specific information regarding your bot such as analytic reports and performed automated tests.

{% hint style="warning" %}
For the sake on consistency, it must be stated that all of the methods found in the **Conversation API** and **Cloner API** belong to the Instance API structure.

Since they are properly documented and described in higher detail on their own sections, we do not repeat them here in order to prevent redundancy.
{% endhint %}

The Instance API base URL is specific for each instance - should you have more than one instance, you must properly discern which instance you are accessing to ensure your url is correct. The Admin API methods can assist you on that task.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs-conversational-ai.syntphony.com/api-docs/api-guidelines/management-api/instance-api.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
